Page MenuHomePhabricator

[Research] In-article navigation user testing
Closed, ResolvedPublic

Description

Overview I created a few prototypes for different interactions that help users navigate within articles, based on Nirzar's original ideas here T149690. Based on internal conversations (and some limited feedback from friends) the two most popular options are Sticky headers and Sticky headers + toc.

@Jdlrobson has done a rough t-shirt costing of these options. As a next step we'd like to do a bit of user testing to further investigate how people use these.

See this google doc for more details

Testing format & script

  • Qualitative research
  • Remote, unmoderated test on usertesting.com (plus possibly some in-person testing at the hackathon)
  • Diverse participants along gender, age, and geography

Goals of the study

Qualitative research
I want to observe readers using two of the in-article navigation prototypes in order to learn about the following:

  1. Are the proposed navigation features (e.g. sticky header) discoverable? Do readers use them in order to navigate around the page?
  2. Are the proposed navigation features intuitive? Can readers guess what clicking certain things will do? Is there a learning curve? If so, how big is it?
  3. Are the proposed navigation features helpful? Do people actually use them? Are there any ways in which they negatively impact user experience?

Quantitative research
Ultimately we’d like to understand if the feature is being used, and what effects it has on time spent/engagement with the page

Results

See Research Results section of the google doc

Event Timeline

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptMay 3 2018, 5:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ovasileva triaged this task as Normal priority.May 3 2018, 6:39 PM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
ovasileva added a subscriber: ovasileva.
alexhollender updated the task description. (Show Details)May 3 2018, 9:39 PM
ovasileva closed this task as Resolved.Jun 26 2018, 2:04 PM

looks great, thanks @alexhollender!

Vvjjkkii renamed this task from [Research] In-article navigation user testing to rodaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed ovasileva as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Wargo renamed this task from rodaaaaaaa to [Research] In-article navigation user testing.Jul 1 2018, 9:45 AM
Wargo closed this task as Resolved.
Wargo assigned this task to ovasileva.
Wargo lowered the priority of this task from High to Normal.
Wargo updated the task description. (Show Details)
Wargo added a subscriber: Aklapper.